LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XShapeMirror Interface Referencepublished

Objects implementing this interface can be used to mirror Shapes. More...

`import "XShapeMirror.idl";`

Inheritance diagram for XShapeMirror:

## Public Member Functions
void | mirror ([inout] com::sun::star::drawing::XShapes aShapes, [in] com::sun::star::drawing::MirrorAxis eAxis)
| mirrors the given Shapes at the given axis.
void | mirrorAtAxis ([inout] com::sun::star::drawing::XShapes aShapes, [in] com::sun::star::drawing::XShape aLine)
| mirrors the given Shapes at the given axis.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Objects implementing this interface can be used to mirror Shapes.

Deprecated

## Member Function Documentation

## ◆ mirror()

void mirror | ( | [inout] com::sun::star::drawing::XShapes | aShapes,
|  | [in] com::sun::star::drawing::MirrorAxis | eAxis )

mirrors the given Shapes at the given axis.

## ◆ mirrorAtAxis()

void mirrorAtAxis | ( | [inout] com::sun::star::drawing::XShapes | aShapes,
|  | [in] com::sun::star::drawing::XShape | aLine )

mirrors the given Shapes at the given axis.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XShapeMirror.idl